## maas 0.1+bzr1269+dfsg

=== Makefile ===
python := python2.7

# Network activity can be suppressed by setting offline=true (or any
# non-empty string) at the command-line.
ifeq ($(offline),)
buildout := bin/buildout
virtualenv := virtualenv
else
buildout := bin/buildout buildout:offline=true
virtualenv := virtualenv --never-download
endif

# If offline has been selected, attempt to further block HTTP/HTTPS
# activity by setting bogus proxies in the environment.
ifneq ($(offline),)
export http_proxy := broken
export https_proxy := broken
endif

# Python enum modules.
py_enums := $(wildcard src/*/enum.py)
# JavaScript enum module (not modules).
js_enums := src/maasserver/static/js/enums.js

# Prefix commands with this when they need access to the database.
# Remember to add a dependency on bin/database from the targets in
# which those commands appear.
dbrun := bin/database --preserve run --

# For things that care, postgresfixture for example, we always want to
# use the "maas" databases.
export PGDATABASE := maas

build: \
    bin/buildout \
    bin/database \
    bin/maas bin/test.maas \
    bin/maascli bin/test.maascli \
    bin/test.maastesting \
    bin/twistd.pserv bin/test.pserv \
    bin/twistd.txlongpoll \
    bin/py bin/ipy \
    $(js_enums)

all: build doc

# Install all packages required for MAAS development & operation on
# the system. This may prompt for a password.
install-dependencies:
	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
		--no-install-recommends install \
		$(shell sort -u required-packages/*)

bin/python bin/pip:
	$(virtualenv) --python=$(python) --system-site-packages $(CURDIR)

bin/buildout: bin/pip bootstrap/zc.buildout-1.5.2.tar.gz
	bin/pip --quiet install --ignore-installed \
	    --no-dependencies bootstrap/zc.buildout-1.5.2.tar.gz
	$(RM) -f README.txt  # zc.buildout installs an annoying README.txt.
	@touch --no-create $@  # Ensure it's newer than its dependencies.

bin/database: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install database
	@touch --no-create $@

bin/maas: bin/buildout buildout.cfg versions.cfg setup.py $(js_enums)
	$(buildout) install maas
	@touch --no-create $@

bin/test.maas: bin/buildout buildout.cfg versions.cfg setup.py $(js_enums)
	$(buildout) install maas-test
	@touch --no-create $@

bin/maascli: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install maascli
	@touch --no-create $@

bin/test.maascli: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install maascli-test
	@touch --no-create $@

bin/test.maastesting: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install maastesting-test
	@touch --no-create $@

bin/celeryd bin/maas-provision bin/twistd.pserv: \
    bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install pserv
	@touch --no-create $@

bin/test.pserv: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install pserv-test
	@touch --no-create $@

bin/twistd.txlongpoll: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install txlongpoll
	@touch --no-create $@

bin/flake8: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install flake8
	@touch --no-create $@

bin/sphinx: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install sphinx
	@touch --no-create $@

bin/py bin/ipy: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install repl
	@touch --no-create bin/py bin/ipy

test: build
	echo $(wildcard bin/test.*) | xargs -n1 env

lint: sources = $(wildcard *.py contrib/*.py) src templates twisted utilities
lint: bin/flake8
	@find $(sources) -name '*.py' ! -path '*/migrations/*' \
	    -print0 | xargs -r0 bin/flake8

pocketlint = $(call available,pocketlint,python-pocket-lint)

lint-css: sources = src/maasserver/static/css
lint-css:
	@find $(sources) -type f \
	    -print0 | xargs -r0 $(pocketlint) --max-length=120

lint-js: sources = src/maasserver/static/js
lint-js:
	@find $(sources) -type f -print0 | xargs -r0 $(pocketlint)

check: clean test

docs/api.rst: bin/maas src/maasserver/api.py syncdb
	bin/maas generate_api_doc > $@

sampledata: bin/maas bin/database syncdb
	$(dbrun) bin/maas loaddata src/maasserver/fixtures/dev_fixture.yaml

doc: bin/sphinx docs/api.rst
	bin/sphinx

enums: $(js_enums)

$(js_enums): bin/py src/maasserver/utils/jsenums.py $(py_enums)
	 bin/py -m src/maasserver/utils/jsenums $(py_enums) > $@

clean:
	$(MAKE) -C acceptance $@
	find . -type f -name '*.py[co]' -print0 | xargs -r0 $(RM)
	find . -type f -name '*~' -print0 | xargs -r0 $(RM)
	$(RM) -r media/demo/* media/development
	$(RM) $(js_enums)
	$(RM) *.log
	$(RM) celerybeat-schedule
	$(RM) docs/api.rst
	$(RM) -r docs/_autosummary

distclean: clean stop
	$(RM) -r bin include lib local
	$(RM) -r eggs develop-eggs
	$(RM) -r build dist logs/* parts
	$(RM) tags TAGS .installed.cfg
	$(RM) -r *.egg *.egg-info src/*.egg-info
	$(RM) -r docs/_build
	$(RM) -r run/* services/*/supervise
	$(RM) twisted/plugins/dropin.cache

harness: bin/maas bin/database
	$(dbrun) bin/maas shell --settings=maas.demo

dbharness: bin/database
	bin/database --preserve shell

syncdb: bin/maas bin/database
	$(dbrun) bin/maas syncdb --noinput
	$(dbrun) bin/maas migrate maasserver --noinput
	$(dbrun) bin/maas migrate metadataserver --noinput
	$(dbrun) bin/maas config_master_dhcp --ensure

define phony_targets
  build
  check
  clean
  dbharness
  distclean
  doc
  enums
  harness
  install-dependencies
  lint
  lint-css
  lint-js
  sampledata
  syncdb
  test
endef

#
# Development services.
#

service_names_region := database dns region-worker reloader txlongpoll web webapp
service_names_cluster := cluster-worker pserv reloader
service_names_all := $(service_names_region) $(service_names_cluster)

# The following template is intended to be used with `call`, and it
# accepts a single argument: a target name. The target name must
# correspond to a service action (see "Pseudo-magic targets" below).
# A region- and cluster-specific variant of the target will be
# created, in addition to the target itself. These can be used to
# apply the service action to the region services, the cluster
# services, or all services, at the same time.
define service_template
$(1)-region: $(patsubst %,services/%/@$(1),$(service_names_region))
$(1)-cluster: $(patsubst %,services/%/@$(1),$(service_names_cluster))
$(1): $(1)-region $(1)-cluster
phony_services_targets += $(1)-region $(1)-cluster $(1)
endef

# Expand out aggregate service targets using `service_template`.
$(eval $(call service_template,pause))
$(eval $(call service_template,restart))
$(eval $(call service_template,start))
$(eval $(call service_template,status))
$(eval $(call service_template,stop))
$(eval $(call service_template,supervise))

# The `run` targets do not fit into the mould of the others.
run-region:
	@services/run $(service_names_region)
run-cluster:
	@services/run $(service_names_cluster)
run:
	@services/run $(service_names_all)

phony_services_targets += run-region run-cluster run

# This one's for the rapper, yo.
run+webapp:
	@services/run $(service_names_region) +webapp

phony_services_targets += run+webapp

# Convenient variables and functions for service control.

setlock = $(call available,setlock,daemontools)
supervise = $(call available,supervise,daemontools)
svc = $(call available,svc,daemontools)
svok = $(call available,svok,daemontools)
svstat = $(call available,svstat,daemontools)

service_lock = $(setlock) -n /run/lock/maas.dev.$(firstword $(1))

# Pseudo-magic targets for controlling individual services.

services/%/@run: services/%/@stop services/%/@deps
	@$(call service_lock, $*) services/$*/run

services/%/@start: services/%/@supervise
	@$(svc) -u $(@D)

services/%/@pause: services/%/@supervise
	@$(svc) -d $(@D)

services/%/@status:
	@$(svstat) $(@D)

services/%/@restart: services/%/@supervise
	@$(svc) -du $(@D)

services/%/@stop:
	@if $(svok) $(@D); then $(svc) -dx $(@D); fi
	@while $(svok) $(@D); do sleep 0.1; done

services/%/@supervise: services/%/@deps
	@mkdir -p logs/$*
	@touch $(@D)/down
	@if ! $(svok) $(@D); then \
	    logdir=$(CURDIR)/logs/$* \
	        $(call service_lock, $*) $(supervise) $(@D) & fi
	@while ! $(svok) $(@D); do sleep 0.1; done

# Dependencies for individual services.

services/dns/@deps: bin/py

services/cluster-worker/@deps: bin/celeryd

services/region-worker/@deps: bin/celeryd

services/database/@deps: bin/database

services/pserv/@deps: bin/twistd.pserv

services/reloader/@deps:

services/txlongpoll/@deps: bin/twistd.txlongpoll

services/web/@deps:

services/webapp/@deps: bin/maas

#
# Phony stuff.
#

define phony
  $(phony_services_targets)
  $(phony_targets)
endef

phony := $(sort $(strip $(phony)))

.PHONY: $(phony)

#
# Functions.
#

# Check if a command is found on PATH. Raise an error if not, citing
# the package to install. Return the command otherwise.
# Usage: $(call available,<command>,<package>)
define available
  $(if $(shell which $(1)),$(1),$(error $(1) not found; \
    install it with 'sudo apt-get install $(2)'))
endef

=== debian/changelog ===
maas (0.1+bzr1269+dfsg-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
    - Fixes commissioning failing to set memory attribute. (LP: #1064638)
    - Fixes node listing by adding pagination (LP: #1064672)
    - Changes default bind rndc key which breaks initscripts (LP: #1066938)
    - Fixes invalid DNS config once node is enlisted (LP: #1066958)
    - Reference documentation link to correct URL (LP: #1067261)

  [ Andres Rodriguez ]
  * debian/rules: Change upstream branch.

  [ Gavin Panella ]
  * debian/maas-dns.postinst: Remove MAAS-related include lines from named's
    config before adding a new one (LP: #1066929)

  [ Raphael Badin ]
  * debian/extras/maas-region-celeryd: Remove whitespace that affects DNS
    rabbitmq queue. (LP: #1067929)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 16 Oct 2012 10:31:37 -0400

=== debian/rules ===
#!/usr/bin/make -f

BUILDHOME = $(CURDIR)/debian/build
PYTHON = $(shell pyversions -d)
# Python enum modules.
py_enums := $(wildcard src/*/enum.py)

%:
	dh $@ --with python2,apport --buildsystem=python_distutils

override_dh_installinit:
	dh_installinit --name maas-pserv
	dh_installinit --name maas-txlongpoll
	dh_installinit --name maas-region-celery
	dh_installinit --name maas-cluster-celery
	dh_installinit --name maas-dhcp-server

override_dh_auto_build:
	dh_auto_build

	mkdir -p $(BUILDHOME)
	HOME=$(BUILDHOME) PYTHONPATH=$(CURDIR)/src/ $(PYTHON)	\
		$(CURDIR)/src/maasserver/utils/jsenums.py	\
		$(py_enums) > $(BUILDHOME)/enums.js

override_dh_auto_install:
	dh_auto_install

	# Move static files
	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas/web/static
	mv $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/maasserver/static \
                $(CURDIR)/debian/tmp/usr/share/maas/web/

	# Install built enums.js file.
	cp $(BUILDHOME)/enums.js $(CURDIR)/debian/tmp/usr/share/maas/web/static/js/

	# install the apparmor profile
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d
	install -m 644 $(CURDIR)/debian/maas-dhcp.apparmor \
	    $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d/maas

	dh_install --list-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDHOME)
	rm -rf src/*.egg-info

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=maas-$(VER).orig \
             maas_$(VER).orig.tar.gz lp:maas/1.2
	rm -rf maas-$(VER)
	tar -xf maas_$(VER).orig.tar.gz
	rm maas_$(VER).orig.tar.gz
	rm -rf maas-$(VER).orig/src/maasserver/static/jslibs/
	rm -rf maas-$(VER).orig/contrib/python-tx-tftp
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
                        -f maas_$(VER).orig.tar.gz \
                        maas-$(VER).orig
	rm -r maas-$(VER).orig

## maas 0.6

=== debian/changelog ===
maas (1:0.6) focal; urgency=medium

  * Fix snapd version check for default track support
  * Check if the snap is already installed, prompt the user in case it is

 -- Alberto Donato <alberto.donato@canonical.com>  Mon, 09 Mar 2020 15:11:54 +0100

maas (1:0.5) focal; urgency=medium

  * Fix all lintian warning/errors

 -- Alberto Donato <alberto.donato@canonical.com>  Thu, 27 Feb 2020 14:40:33 +0100

maas (1:0.4) focal; urgency=medium

  * Fix description for transitional packages so that tools can properly
    detect them

 -- Alberto Donato <alberto.donato@canonical.com>  Wed, 26 Feb 2020 14:33:15 +0100

maas (1:0.3) focal; urgency=medium

  * Set default snap version to 2.7 if default track support is not available in snapd

 -- Alberto Donato <alberto.donato@canonical.com>  Tue, 25 Feb 2020 12:05:15 +0100

maas (1:0.2) focal; urgency=medium

  * Fix dependencies to pre-depend on debconf and snapd
  * Fix project homepage URL to https

 -- Alberto Donato <alberto.donato@canonical.com>  Thu, 20 Feb 2020 11:49:00 +0100

maas (1:0.1) focal; urgency=medium

  * Install MAAS from the snap, migrating existing install if needed

 -- Alberto Donato <alberto.donato@canonical.com>  Mon, 20 Jan 2020 08:22:01 +0000

=== debian/control ===
Source: maas
Section: oldlibs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://maas.io/

Package: maas
Architecture: all
Provides: bind9,
          chrony,
          isc-dhcp-server,
          maas-cli,
          maas-common,
          maas-dhcp,
          maas-dns,
          maas-proxy,
          maas-rack-controller,
          maas-region-api,
          maas-region-controller
Conflicts: bind9,
        chrony,
        isc-dhcp-server,
        maas-cli,
        maas-common,
        maas-dhcp,
        maas-dns,
        maas-proxy,
Breaks: maas-rack-controller (<< 1:0.1~),
        maas-region-api (<< 1:0.1~),
        maas-region-controller (<< 1:0.1~)
Replaces: bind9,
          chrony,
          isc-dhcp-server,
          maas-cli,
          maas-common,
          maas-dhcp,
          maas-dns,
          maas-proxy,
          maas-rack-controller (<< 1:0.1~),
          maas-region-api (<< 1:0.1~),
          maas-region-controller (<< 1:0.1~)
Pre-Depends: debconf,
             snapd
Depends: ${misc:Depends}
Description: Transitional package to the maas snap
 This is a transitional package. It can be safely removed.

Package: maas-rack-controller
Architecture: all
Depends: maas (= ${binary:Version}),
         ${misc:Depends}
Description: Transitional package to the maas snap
 This is a transitional package. It can be safely removed.

Package: maas-region-api
Architecture: all
Depends: maas (= ${binary:Version}),
         ${misc:Depends}
Description: Transitional package to the maas snap
 This is a transitional package. It can be safely removed.

Package: maas-region-controller
Architecture: all
Depends: maas-region-api (= ${binary:Version}),
         ${misc:Depends}
Description: Transitional package to the maas snap
 This is a transitional package. It can be safely removed.

## maas 0.7

=== debian/changelog ===
maas (1:0.7) focal; urgency=medium

  * When a track is not specified, default to 2.7/stable. If MAAS deb
    version is higher than 2.7, pick the same track. LP: #1878769
  * Fix issue where "MAAS not currently set up" notice shows even when the
    snap is configured.
  * No-op when upgrading from a transitional deb, as migration already
    happened.
  * Rename "get_snap_mode" to "snap_mode".
  * Rename DEFAULT_SNAP_* variables to align with snap terminology.

 -- Alberto Donato <alberto.donato@canonical.com>  Wed, 06 May 2020 13:48:50 +0200

## maas 1.2+bzr1351+dfsg

=== debian/changelog ===
maas (1.2+bzr1351+dfsg-0ubuntu1) raring; urgency=low

  * New upstream bugfix release.

  [ Raphaël Badin ]
  * debian/control: maas-region-controller depends on bind9utils.
    (LP: #1103195)

  [ Andres Rodriguez ]
  * debian/control: Depends on distro-info for maas-cluster-controller
    instead of maas-region-controller (LP: #1103194)
  * debian/maas-region-controller.install: Install commissioning-user-data
    instead of maas-cluster-controller. (LP: #1103203)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 22 Jan 2013 17:51:26 -0500

maas (1.2+bzr1349+dfsg-0ubuntu1) raring; urgency=low

  * New upstream bugfix release. Fixes:
    - The DNS configuration is not created if maas-dns is installed after
      the DNS config has been set up (LP: #1085865).
    - IPMI detection ends up with power_address of 0.0.0.0 (LP: #1064224)
    - Main page slow to load with many nodes (LP: #1066775)
    - maas-cluster-controller doesn't have images for
      provisioning (LP: #1068843)
    - Filestorage is unique to each appserver instance (LP: #1069734)
    - import_pxe_files does not include quantal (LP: #1069850)
    - maas-cli nodes new incomplete documentation (LP: #1070522)
    - DNS forward zone ends up with nonsensical entries (LP: #1070765)
    - The hostname of a node can still be changed once the node is in
      use. (LP: #1070774)
    - The zone name (attached to a cluster controller) can still be changed
      when it contains in-use nodes and DNS is managed. (LP: #1070775)
    - Duplicated prefix in the url used by the CLI (LP: #1075597)
    - Not importing Quantal boot images (LP: #1077180)
    - Nodes are deployed with wrong domain name. (LP: #1078744)
    - src/maasserver/api.py calls request.data.getlist with a 'default'
      parameter. That parameter is not supported by Django 1.3. (LP: #1080673)
    - API calls that return a node leak private data (LP: #1034318)
    - MAAS hostnames should be 5 easily disambiguated characters (LP: #1058998)
    - URI in API description wrong when accessing machine via alternative
      interface. (LP: #1059645)
    - Oops when renaming nodegroup w/o interface (LP: #1077075)
    - Error in log when using 'Start node' button: MAASAPINotFound: No user
      data available for this node. (LP: #1069603)

  [ Raphaël Badin ]
  * debian/maas-dns.postinst: Call write_dns_config (LP: #1085865).
  * debian/maas-dns.postinst: fix permissions and group ownership of
    file /etc/bind/maas/named.conf.rndc.maas. (LP: #1066935)

  [ Julian Edwards ]
  * debian/maas-region-controller.install: Remove installation of maas-gc; it
    is no longer required as upstream no longer stores files in the filesystem.
    (LP: #1069734)
  * debian/maas-cluster-controller.postinst: Ensure that /etc/maas/pserv.yaml
    is updated when reconfiguring. (LP: #1081212)

  [ Andres Rodriguez ]
  * debian/control:
    - maas-cluster-controller Conflicts with tftpd-hpa (LP: #1076028)
    - maas-dns: Conflicts with dnsmasq
    - Drop Dependency on rabbitmq-server for maas-cluster-controller.
      (LP: #1072744)
    - Add conflicts/replaces for maas-region-controller to
      maas-cluster-controller.
  * debian/maas-cluster-controller.config: If URL has been detected, add
    /MAAS if it doesn't contain it. This helps upgrades from versions where
    DEFAULT_MAAS_URL didn't use /MAAS.
  * Install maas-import-pxe-files and related files with
    maas-cluster-controller, as well as configure tgtd, as
    maas-region-controller no longer stores images. Thanks to Jeroen
    Vermuelen.

  [ Gavin Panella ]
  * debian/extras/99-maas: squashfs image download is no longer needed.
  * debian/maas-cluster-controller.install: maas-import-squashfs and its
    configuration file are no longer part of upstream.

  [ Jeroen Vermeulen ]
  * debian/maas-cluster-controller.maas-pserv.upstart: Source maas_cluster.conf
    before starting pserv (tftpd) process.
  * debian/maas-cluster-controller.postinst: Duplicate CLUSTER_UUID setting
    to maas_cluster.conf.
  * Bumped revision number to current 1.2 revision 1342 (requested by rvba).

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 13 Nov 2012 14:58:21 -0500

=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.1.0~),
               dh-apport,
               po-debconf,
               python (>= 2.7),
               python-distribute,
               python-django
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
XS-Testsuite: autopkgtest
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Pre-Depends: ${misc:Pre-Depends}, ${misc:Depends}
Depends: maas-cluster-controller, maas-region-controller, python-django-maas
Conflicts: maas-provision
Replaces: maas-provision
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package is a metapackage which installs a complete MAAS
 service on a single machine.

Package: maas-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains common files

Package: maas-region-controller
Architecture: all
Depends: apache2,
         avahi-daemon,
         bind9utils,
         dbconfig-common,
         libapache2-mod-wsgi,
         libjs-raphael,
         libjs-yui3-full,
         libjs-yui3-min,
         maas-common (= ${binary:Version}),
         postgresql-9.1,
         pwgen,
         python-django,
         python-django-maas (= ${binary:Version}),
         python-django-piston,
         python-django-south,
         python-maas-provisioningserver (= ${binary:Version}),
         rabbitmq-server,
         rsyslog,
         squid-deb-proxy,
         ${misc:Depends},
         ${python:Depends}
Recommends: openssh-server
Suggests: maas-dns
Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package installs the region controller services: the web
 UI and the database.

Package: python-maas-provisioningserver
Section: python
Architecture: all
Depends: python-celery,
         python-formencode,
         python-lockfile,
         python-lxml,
         python-maas-client,
         python-netifaces,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-pyparsing,
         python-tempita,
         python-twisted-core,
         python-twisted-web,
         python-txamqp,
         python-txtftp,
         python-yaml,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Conflicts: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the provisioning server libraries.

Package: maas-cli
Architecture: all
Depends: python-bzrlib,
         python-httplib2,
         python-maas-client (= ${binary:Version}),
         python-oauth,
         ${misc:Depends},
         ${python:Depends}
Description: Ubuntu MAAS Client Tool
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the client command line tool.

Package: python-maas-client
Section: python
Architecture: all
Depends: python-oauth, ${misc:Depends}, ${python:Depends}
Conflicts: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Replaces: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Description: Ubuntu MAAS API Client - (python files)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the client API Python modules.

Package: maas-cluster-controller
Architecture: all
Depends: bind9utils,
         distro-info,
         freeipmi-tools,
         maas-cli (=${binary:Version}),
         maas-common (=${binary:Version}),
         python-celery,
         python-httplib2,
         python-lockfile,
         python-maas-provisioningserver (=${binary:Version}),
         python-netaddr,
         python-oauth,
         python-tempita,
         python-twisted,
         python-zope.interface,
         rsyslog,
         syslinux-common,
         tgt,
         uuid-runtime,
         wget,
         ${misc:Depends},
         ${python:Depends}
Suggests: maas-dhcp (= ${binary:Version})
Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ),  maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 ), tftpd-hpa
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
Description: Ubuntu MAAS Cluster Controller
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the cluster controller, which is
 responsible for controlling remote DHCP/TFTP instances on their
 own subnets.

Package: python-django-maas
Section: python
Architecture: all
Depends: python-avahi,
         python-celery,
         python-convoy,
         python-dbus,
         python-lockfile,
         python-lxml,
         python-maas-client (= ${binary:Version}),
         python-netaddr,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-oops-wsgi,
         python-psycopg2,
         python-sphinx,
         python-tempita,
         python-twisted,
         python-txamqp,
         python-txlongpoll,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Description: Ubuntu MAAS Server - (django files)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the Django files.

Package: maas-dhcp
Architecture: all
Depends: isc-dhcp-server, ${misc:Depends}
Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: Ubuntu MAAS Server - DHCP Configuration (meta-package)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package configures a DHCP that can be used with MAAS.

Package: maas-dns
Architecture: all
Depends: bind9,
 maas-region-controller (= ${binary:Version}),
 maas-dhcp (= ${binary:Version}),
 ${misc:Depends}
Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1), dnsmasq
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: Ubuntu MAAS Server - DNS configuration (metapackage)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package configures a DNS that can be used with MAAS.

=== debian/tests/control ===
Tests: maas-package-test
Depends: @, python-nose, xvfb, python-pip

## maas 1.2+bzr1373+dfsg

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 install-dependencies:
 	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
 		--no-install-recommends install \
-		$(shell sort -u required-packages/*)
+		$(shell sort -u required-packages/base required-packages/dev)
 
 bin/python bin/pip:
 	$(virtualenv) --python=$(python) --system-site-packages $(CURDIR)
@@ -101,7 +101,7 @@
 	$(buildout) install flake8
 	@touch --no-create $@
 
-bin/sphinx: bin/buildout buildout.cfg versions.cfg setup.py
+bin/sphinx bin/sphinx-build: bin/buildout buildout.cfg versions.cfg setup.py
 	$(buildout) install sphinx
 	@touch --no-create $@
 
@@ -138,6 +138,11 @@
 
 doc: bin/sphinx docs/api.rst
 	bin/sphinx
+
+man: $(patsubst docs/man/%.rst,man/%,$(wildcard docs/man/*.rst))
+
+man/%: docs/man/%.rst | bin/sphinx-build
+	bin/sphinx-build -b man docs man $^
 
 enums: $(js_enums)
 
@@ -154,6 +159,7 @@
 	$(RM) celerybeat-schedule
 	$(RM) docs/api.rst
 	$(RM) -r docs/_autosummary
+	$(RM) -r man/.doctrees
 
 distclean: clean stop
 	$(RM) -r bin include lib local
@@ -175,7 +181,6 @@
 	$(dbrun) bin/maas syncdb --noinput
 	$(dbrun) bin/maas migrate maasserver --noinput
 	$(dbrun) bin/maas migrate metadataserver --noinput
-	$(dbrun) bin/maas config_master_dhcp --ensure
 
 define phony_targets
   build
@@ -190,6 +195,7 @@
   lint
   lint-css
   lint-js
+  man
   sampledata
   syncdb
   test

=== debian/changelog ===
maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.6) precise-security; urgency=medium

  * Fix compatibility with mod-wsgi security update (LP: #1399016)
    - debian/patches/home-directory.patch: specify a valid home directory
      for the maas user, since mod-wsgi no longer works without one.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Dec 2014 14:00:28 -0500

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.5) precise-security; urgency=low

  * SECURITY UPDATE: incorrect Content-type header allowed cross-site
    scripting vulnerability if an unknown API was used. (LP: #1251336)
    - debian/patches/CVE-2013-1070.patch: Use Content-type text/plain to force
      browsers to not render error messages as HTML.
    - CVE-2013-1070
  * SECURITY UPDATE: /etc/maas/txlongpoll.yaml contained a publicly readable
    password. (LP: #1254034)
    - debian/maas-region-controller.postinst: chown and chmod
      /etc/maas/txlongpoll.yaml with correct permissions
    - CVE-2013-1069

 -- Seth Arnold <seth.arnold@canonical.com>  Mon, 10 Feb 2014 22:49:35 -0800

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.4) precise-security; urgency=low

  * SECURITY UPDATE: failure to authenticate downloaded content (LP: #1039513)
    - debian/patches/CVE-2013-1058.patch: Authenticate downloaded files with
      GnuPG and MD5SUM files. Thanks to Julian Edwards.
    - CVE-2013-1058
  * SECURITY UPDATE: configuration options may be loaded from current working
    directory (LP: #1158425)
    - debian/patches/CVE-2013-1057-1-2.patch: Do not load configuration
      options from the current working directory. Thanks to Julian Edwards.
    - CVE-2013-1057

 -- Seth Arnold <seth.arnold@canonical.com>  Fri, 01 Nov 2013 17:09:57 -0700

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.3) precise-proposed; urgency=low

  * MAAS Stable Release Update:
    - debian/patches/04-dhcp-lease-conflict.patch: Sets expiry lease time
      to 30 seconds (LP: #1069570)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 05 Sep 2013 22:53:10 -0400

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.2) precise-proposed; urgency=low

  * MAAS Stable Release Update,  debian/patches:
    - 99_filestorage_empty_files_lp1204507.patch: Fix to allow the storage
      of empty files when using Juju Go, otherwise machines will fail to
      bootstrap. (LP: #1204507)
    - 99_fix_highbank_localboot_lp1172966.patch: Fix to PXE LOCALBOOT on
      highbank servers by removing a PXE message. Otherwise highbank will
      fail to pxe boot. (LP: #1172966)
    - 99_no_ipmi_detection_kvm_lp1064527.patch: Fix to ensure that IPMI
      detection does not happen on KVM VM's, otherwise enlistment and
      commissioning process will take too long. (LP: #1064527)
    - 99_update_cluster_info_cli_lp1172193.patch: Fix to allow admins to
      update cluster information from the API/CLI and not only restrict it
      to the WebUI. (LP: #1172193)
    - 99_fix_ipmi_power_command_lp1171418: Fix to ensure that ipmi commands
      are always executed regardless of the state of the machine.
      (LP: #1171418)
    - 99_default_timezone_utc_lp1211447.patch: Default to UTC for the
      deployed nodes. (LP: #1211447)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 12 Aug 2013 12:18:34 -0400

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.1) precise-proposed; urgency=low

  * MAAS Stable Release Update (LP: #1109283). See changelog entry bellow.
  * debian/maas-dhcp.maas-dhcp-server.upstart: leases file should be owned
    by user/group 'dhcpd' instead of root.
  * debian/control: Force dependency version for python-django to
    (>> 1.3.1-4ubuntu1.6).
  * Continue to ship yui3 and raphael with MAAS.
    - debian/patches/04_precise_no_yui_root.patch: Add.
    - debian/control: Drop dependencies on yui3 and raphael.
    - debian/source/include-binaries: Add to not FTBFS
    - debian/extras/jslibs: Ship JS libraries.
    - debian/copyright: Update copyright to reflect libraries license.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 20 Mar 2013 14:01:48 -0400

maas (1.2+bzr1373+dfsg-0ubuntu1) quantal-proposed; urgency=low

  * MAAS Stable Release Update (LP: #1109283):
    This SRU brings a new upstream release of MAAS that removes
    the usage of a cobbler code copy, 'maas-provision' as well as
    several bug fixes. Exception has been granted by the Technical
    Board to proceed. More information can be found in:
    https://lists.ubuntu.com/archives/ubuntu-devel-announce/2013-February/001012.html

  [ Andres Rodriguez ]
  * debian/control:
    - Change Conflicts/Replaces for Breaks/Replaces.
    - Conflicts on tftpd-hpa and dnsmasq.
    - Do not pre-depends, but Depends on ${misc:Depends} for 'maas'.

  [ Steve Langasek ]
  * postinst scripts are never called with 'reconfigure' as the script
    argument.  Remove references to this (mythical) invocation.
  * always call 'set -e' from maintainer scripts instead of passing 'sh -e'
    as the interpreter, so that scripts will behave correctly when run via
    'sh -x'.
  * invoke-rc.d is never allowed to not exist - simplify scripts (and make
    them better policy-compliant) by invoking unconditionally.  (The only
    possible exception is in the postrm, where it's *theoretically* possible
    for invoke-rc.d to be missing if the user has completely stripped
    down their system; that's a fairly unreasonable corner case, but we
    might as well be correct if it ever happens.)
  * db_get+db_set is a no-op; don't call db_set to push back a value we just
    got from db_get.
  * Omit superfluous calls to 'exit 0' at the end of each script.
  * Remove maas-cluster-controller prerm script, which called debconf for no
    reason.
  * Don't invoke debconf in the postrm script either, debhelper already does
    this for us.
  * Other miscellaneous maintainer script fixes
  * debian/maas-common.postinst: call adduser and addgroup unconditionally;
    the tools are already designed to DTRT, we don't need to check for the


=== debian/control ===
--- 
+++ 
@@ -10,15 +10,11 @@
                python-django
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.7
-XS-Testsuite: autopkgtest
 Homepage: https://launchpad.net/maas
 
 Package: maas
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}, ${misc:Depends}
-Depends: maas-cluster-controller, maas-region-controller, python-django-maas
-Conflicts: maas-provision
-Replaces: maas-provision
+Depends: ${misc:Depends}, maas-cluster-controller, maas-region-controller, python-django-maas
 Description: Ubuntu MAAS Server
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
  nice UI to provision your Ubuntu servers. Each physical server
@@ -35,7 +31,7 @@
 Package: maas-common
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
+Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Description: Ubuntu MAAS Server
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -56,13 +52,10 @@
          bind9utils,
          dbconfig-common,
          libapache2-mod-wsgi,
-         libjs-raphael,
-         libjs-yui3-full,
-         libjs-yui3-min,
          maas-common (= ${binary:Version}),
          postgresql-9.1,
          pwgen,
-         python-django,
+         python-django (>> 1.3.1-4ubuntu1.6),
          python-django-maas (= ${binary:Version}),
          python-django-piston,
          python-django-south,
@@ -74,7 +67,7 @@
          ${python:Depends}
 Recommends: openssh-server
 Suggests: maas-dns
-Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
+Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Description: Ubuntu MAAS Server
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -112,7 +105,7 @@
          python-zope.interface,
          ${misc:Depends},
          ${python:Depends}
-Conflicts: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
+Breaks: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
 Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
 Description: Ubuntu MAAS Server
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -150,7 +143,7 @@
 Section: python
 Architecture: all
 Depends: python-oauth, ${misc:Depends}, ${python:Depends}
-Conflicts: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
+Breaks: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
 Replaces: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
 Description: Ubuntu MAAS API Client - (python files)
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -188,7 +181,8 @@
          ${misc:Depends},
          ${python:Depends}
 Suggests: maas-dhcp (= ${binary:Version})
-Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ),  maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 ), tftpd-hpa
+Conflicts: tftpd-hpa
+Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ),  maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
 Description: Ubuntu MAAS Cluster Controller
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -244,7 +238,7 @@
 Package: maas-dhcp
 Architecture: all
 Depends: isc-dhcp-server, ${misc:Depends}
-Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
+Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Description: Ubuntu MAAS Server - DHCP Configuration (meta-package)
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -264,7 +258,8 @@
  maas-region-controller (= ${binary:Version}),
  maas-dhcp (= ${binary:Version}),
  ${misc:Depends}
-Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1), dnsmasq
+Conflicts: dnsmasq
+Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Description: Ubuntu MAAS Server - DNS configuration (metapackage)
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
